Index: code/trunk/src/orxonox/objects/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/CMakeLists.txt	(revision 2710)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   EventListener.cc
   EventDispatcher.cc
@@ -14,13 +14,12 @@
 )
 
-ADD_SOURCE_DIRECTORY(SRC_FILES collisionshapes)
-ADD_SOURCE_DIRECTORY(SRC_FILES controllers)
-ADD_SOURCE_DIRECTORY(SRC_FILES gametypes)
-ADD_SOURCE_DIRECTORY(SRC_FILES infos)
-ADD_SOURCE_DIRECTORY(SRC_FILES items)
-ADD_SOURCE_DIRECTORY(SRC_FILES pickup)
-ADD_SOURCE_DIRECTORY(SRC_FILES quest)
-ADD_SOURCE_DIRECTORY(SRC_FILES weaponSystem)
-ADD_SOURCE_DIRECTORY(SRC_FILES worldentities)
+ADD_SUBDIRECTORY(collisionshapes)
+ADD_SUBDIRECTORY(controllers)
+ADD_SUBDIRECTORY(gametypes)
+ADD_SUBDIRECTORY(infos)
+ADD_SUBDIRECTORY(items)
+ADD_SUBDIRECTORY(pickup)
+ADD_SUBDIRECTORY(quest)
+ADD_SUBDIRECTORY(weaponSystem)
+ADD_SUBDIRECTORY(worldentities)
 
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/Level.cc
===================================================================
--- code/trunk/src/orxonox/objects/Level.cc	(revision 2662)
+++ code/trunk/src/orxonox/objects/Level.cc	(revision 2710)
@@ -35,6 +35,6 @@
 #include "core/XMLFile.h"
 #include "core/Template.h"
+#include "core/Core.h"
 
-#include "Settings.h"
 #include "LevelManager.h"
 #include "objects/infos/PlayerInfo.h"
@@ -55,6 +55,6 @@
         this->xmlfilename_ = this->getFilename();
 
-        if (this->xmlfilename_.length() >= Settings::getDataPath().length())
-            this->xmlfilename_ = this->xmlfilename_.substr(Settings::getDataPath().length());
+        if (this->xmlfilename_.length() >= Core::getMediaPathString().length())
+            this->xmlfilename_ = this->xmlfilename_.substr(Core::getMediaPathString().length());
     }
 
@@ -97,5 +97,5 @@
         mask.include(Class(OverlayGroup)); // HACK to include the ChatOverlay
 
-        this->xmlfile_ = new XMLFile(Settings::getDataPath() + this->xmlfilename_, mask);
+        this->xmlfile_ = new XMLFile(Core::getMediaPathString() + this->xmlfilename_, mask);
 
         Loader::open(this->xmlfile_);
Index: code/trunk/src/orxonox/objects/collisionshapes/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/collisionshapes/CMakeLists.txt	(revision 2710)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   BoxCollisionShape.cc
   CollisionShape.cc
@@ -8,4 +8,2 @@
   WorldEntityCollisionShape.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/controllers/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/controllers/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/controllers/CMakeLists.txt	(revision 2710)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Controller.cc
   HumanController.cc
@@ -6,4 +6,2 @@
   ScriptController.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/gametypes/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/gametypes/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/gametypes/CMakeLists.txt	(revision 2710)
@@ -1,5 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Gametype.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/gametypes/Gametype.cc
===================================================================
--- code/trunk/src/orxonox/objects/gametypes/Gametype.cc	(revision 2662)
+++ code/trunk/src/orxonox/objects/gametypes/Gametype.cc	(revision 2710)
@@ -43,5 +43,4 @@
 #include "objects/worldentities/SpawnPoint.h"
 #include "objects/worldentities/Camera.h"
-#include "Settings.h"
 
 #include "network/Host.h"
Index: code/trunk/src/orxonox/objects/infos/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/infos/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/infos/CMakeLists.txt	(revision 2710)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Bot.cc
   Info.cc
@@ -6,4 +6,2 @@
   GametypeInfo.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/items/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/items/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/items/CMakeLists.txt	(revision 2710)
@@ -1,7 +1,5 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Item.cc
   Engine.cc
   MultiStateEngine.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/pickup/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/pickup/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/pickup/CMakeLists.txt	(revision 2710)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   PickupSpawner.cc
   BaseItem.cc
@@ -5,4 +5,2 @@
   ShipEquipment.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/quest/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/quest/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/quest/CMakeLists.txt	(revision 2710)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   AddQuest.cc
   AddQuestHint.cc
@@ -18,4 +18,2 @@
   Rewardable.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/weaponSystem/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/weaponSystem/CMakeLists.txt	(revision 2710)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Munition.cc
   Weapon.cc
@@ -8,7 +8,5 @@
 )
 
-ADD_SOURCE_DIRECTORY(SRC_FILES munitions)
-ADD_SOURCE_DIRECTORY(SRC_FILES projectiles)
-ADD_SOURCE_DIRECTORY(SRC_FILES weapons)
-
-ADD_SOURCE_FILES(SRC_FILES)
+ADD_SUBDIRECTORY(munitions)
+ADD_SUBDIRECTORY(projectiles)
+ADD_SUBDIRECTORY(weapons)
Index: code/trunk/src/orxonox/objects/weaponSystem/WeaponPack.cc
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/WeaponPack.cc	(revision 2662)
+++ code/trunk/src/orxonox/objects/weaponSystem/WeaponPack.cc	(revision 2710)
Index: code/trunk/src/orxonox/objects/weaponSystem/WeaponPack.h
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/WeaponPack.h	(revision 2662)
+++ code/trunk/src/orxonox/objects/weaponSystem/WeaponPack.h	(revision 2710)
Index: code/trunk/src/orxonox/objects/weaponSystem/munitions/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/munitions/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/weaponSystem/munitions/CMakeLists.txt	(revision 2710)
@@ -1,5 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   LaserGunMunition.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/weaponSystem/projectiles/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/projectiles/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/weaponSystem/projectiles/CMakeLists.txt	(revision 2710)
@@ -1,7 +1,5 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   BillboardProjectile.cc
   ParticleProjectile.cc
   Projectile.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/weaponSystem/weapons/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/weapons/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/weaponSystem/weapons/CMakeLists.txt	(revision 2710)
@@ -1,7 +1,5 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Fusion.cc
   LaserGun.cc
 #  Missile.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/weaponSystem/weapons/Fusion.cc
===================================================================
--- code/trunk/src/orxonox/objects/weaponSystem/weapons/Fusion.cc	(revision 2662)
+++ code/trunk/src/orxonox/objects/weaponSystem/weapons/Fusion.cc	(revision 2710)
Index: code/trunk/src/orxonox/objects/worldentities/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/worldentities/CMakeLists.txt	(revision 2710)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   WorldEntity.cc
   StaticEntity.cc
@@ -21,6 +21,4 @@
 )
 
-ADD_SOURCE_DIRECTORY(SRC_FILES pawns)
-ADD_SOURCE_DIRECTORY(SRC_FILES triggers)
-
-ADD_SOURCE_FILES(SRC_FILES)
+ADD_SUBDIRECTORY(pawns)
+ADD_SUBDIRECTORY(triggers)
Index: code/trunk/src/orxonox/objects/worldentities/Planet.cc
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/Planet.cc	(revision 2662)
+++ code/trunk/src/orxonox/objects/worldentities/Planet.cc	(revision 2710)
@@ -74,10 +74,10 @@
         if(activeCamera)
         {
-            Real distance = this->getPosition().distance( activeCamera->getWorldPosition() );
+            float distance = this->getPosition().distance( activeCamera->getWorldPosition() );
             //             COUT(2) << distance << std::endl;
-            Real planetRadius = this->getScale();
+            float planetRadius = this->getScale();
 
-            Real newScale = 2 * distance / sqrt(distance*distance - planetRadius*planetRadius);
-            Real tempTest = newScale*(1+Real(this->atmosphereSize)/Real(this->imageSize));
+            float newScale = 2 * distance / sqrt(distance*distance - planetRadius*planetRadius);
+            float tempTest = newScale*(1+float(this->atmosphereSize)/float(this->imageSize));
             newScale = tempTest;
 
@@ -90,5 +90,5 @@
     void Planet::init()
     {
-        Real scaleFactor = this->getScale();
+        float scaleFactor = this->getScale();
 
         this->distList.push_back(10.0*scaleFactor);
@@ -103,5 +103,5 @@
         this->distList.push_back(55.0*scaleFactor);
 
-        Real reductionValue = 0.2;
+        float reductionValue = 0.2;
 
         this->mesh_.getEntity()->getMesh()->generateLodLevels(distList, Ogre::ProgressiveMesh::VRQ_PROPORTIONAL, reductionValue);
Index: code/trunk/src/orxonox/objects/worldentities/Planet.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/Planet.h	(revision 2662)
+++ code/trunk/src/orxonox/objects/worldentities/Planet.h	(revision 2710)
@@ -71,9 +71,9 @@
             }
             
-            inline void setAtmosphereSize(Real size){
+            inline void setAtmosphereSize(float size){
                 this->atmosphereSize = size;
             }
             
-            inline Real getAtmosphereSize(){
+            inline float getAtmosphereSize(){
                 return this->atmosphereSize;
             }
@@ -87,9 +87,9 @@
             }
             
-            inline void setImageSize(Real size){
+            inline void setImageSize(float size){
                 this->imageSize = size;
             }
             
-            inline Real getImageSize(){
+            inline float getImageSize(){
                 return this->imageSize;
             }
@@ -106,6 +106,6 @@
             std::string atmosphere_;
             Mesh mesh_;
-            Real atmosphereSize;
-            Real imageSize;
+            float atmosphereSize;
+            float imageSize;
             Ogre::Mesh::LodDistanceList distList;
             BillboardSet billboard_;
Index: code/trunk/src/orxonox/objects/worldentities/pawns/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/pawns/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/worldentities/pawns/CMakeLists.txt	(revision 2710)
@@ -1,7 +1,5 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Spectator.cc
   Pawn.cc
   SpaceShip.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/trunk/src/orxonox/objects/worldentities/triggers/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/triggers/CMakeLists.txt	(revision 2662)
+++ code/trunk/src/orxonox/objects/worldentities/triggers/CMakeLists.txt	(revision 2710)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Trigger.cc
   DistanceTrigger.cc
@@ -5,4 +5,2 @@
   PlayerTrigger.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
